#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/system-role-kvm repository
#
#   See https://github.com/yast/skelcd-control-server-role/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

%define role_name kvm
Name:           system-role-%{role_name}
# xmllint (for validation)
BuildRequires:  libxml2-tools
# RNG validation schema
BuildRequires:  yast2-installation-control >= 4.0.0

URL:            https://github.com/yast/system-role-kvm
AutoReqProv:    off
Version:        15.6.0
Release:        150600.1.1
Summary:        Server KVM role definition
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Provides:       extension_for_product() = SLES
Provides:       extension_for_product() = SLES_BCL
Provides:       extension_for_product() = SLES_SAP
Provides:       installer_module_extension() = system-role-kvm

%description
Meta package for Server KVM role definition.
It is not intended for installation.

%prep

%setup -n %{name}-%{version}

%check
#
# Verify syntax
#
make -C control check

%install

mkdir -p $RPM_BUILD_ROOT
#
# Add control file
#
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/system-roles
install -m 644 control/installation.xml $RPM_BUILD_ROOT/%{_datadir}/system-roles/%{role_name}.xml

# install LICENSE (required by build service check)
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}

%files
%defattr(644,root,root,755)
%{_datadir}/system-roles
%doc %dir %{_prefix}/share/doc/packages/%{name}
%doc %{_prefix}/share/doc/packages/%{name}/LICENSE

%changelog
* Fri Mar  3 2023 lslezak@suse.cz
- Bump version to 15.6.0 (bsc#1208913)
* Wed Apr  6 2022 lslezak@suse.cz
- Bump version to 15.5.0 (bsc#1198109)
* Tue Apr 20 2021 lslezak@suse.cz
- 15.4.0 (bsc#1185510)
* Tue Jan  5 2021 aginies@suse.com
- enable kdump/firewalld (jsc#SLE-12819)
- add requires on enhanced_base (bsc#1179177)
- 15.3.1
* Wed Mar 13 2019 jreidinger@suse.com
- allow role also on SLES BCL (bsc#1128898)
- 15.1.2
* Mon Nov 12 2018 mvidner@suse.com
- Correct the file name to make system roles reappear (bsc#1115607)
- 15.1.1
* Tue Nov  6 2018 jreidinger@suse.com
- use FHS compliant path (bsc#1108176)
- 15.1.0
* Wed Jan 10 2018 rbrown@suse.com
- adjust subvolume list to have NoCOW /var instead of many
  subvolumes (boo#1075369)
- 15.0.7
* Tue Dec 19 2017 gsouza@suse.com
- Added SLES4SAP extension_for_product entry (bsc#1072592)
- 15.0.6
* Mon Dec  4 2017 gsouza@suse.com
- Filter SLES roles so that they are not shown with SLED
  (fate#324198)
- 15.0.5
- -----------------------------------------------------------------
* Thu Nov 30 2017 aginies@suse.com
- don't apply change globaly but only for the KVM system role
- 15.0.4
* Wed Nov  8 2017 aginies@suse.com
- Kernel-based hypervisor and tools
- kvm server and tools patterns selected
- Disable kdump and firewall
- ntp default setup
- 15.0.3
- FATE#324207: Improve Virtualization System role (XEN/KVM)
* Wed Nov  8 2017 ancor@suse.com
- Propose a separate /var/lib/libvirt partition or logical volume
  using the new format in the <partitioning> format of the control
  file (part of fate#324207).
- 15.0.2
* Wed Oct  4 2017 sflees@suse.de
- Drop Minimal from software list, it doesn't exist anymore and
  base pulls in its replacement via dependencies (bsc#1061989)
- 15.0.1
* Fri Sep 29 2017 knut.anderssen@suse.com
- Initial package (needed for having roles in their own package for
  different modules) bsc#1049297.
- 15.0.0
